Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_CSS.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
 
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_CSS extends LC_Page {
+class LC_Page_Admin_Design_CSS extends LC_Page_Admin {
 
     // }}}
@@ -59,6 +59,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
-
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // 認証可否の判定
         $objSess = new SC_Session();
@@ -115,8 +123,4 @@
         // ファイルリストを取得
         $this->arrCSSList = $this->lfGetCSSList($css_dir);
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
@@ -158,5 +162,5 @@
             $objFileManager->sfDeleteDir($css_path);
         }
-        $this->sendRedirect($this->getLocation("./css.php"));
+        $this->objDisplay->redirect($this->getLocation("./css.php"));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Header.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_Header extends LC_Page {
+class LC_Page_Admin_Design_Header extends LC_Page_Admin {
 
     // }}}
@@ -59,6 +59,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
 
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // 認証可否の判定
         $objSess = new SC_Session();
@@ -135,8 +143,4 @@
         $this->browser_type =
             isset($_POST['browser_type']) ? $_POST['browser_type'] : "";
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 18861)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_MainEdit extends LC_Page {
+class LC_Page_Admin_Design_MainEdit extends LC_Page_Admin {
 
     // }}}
@@ -59,4 +59,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objView = new SC_AdminView();
         $this->objLayout = new SC_Helper_PageLayout_Ex();
@@ -108,8 +118,4 @@
             exit;
         }
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
@@ -220,5 +226,5 @@
         }
         $_SESSION['preview'] = "ON";
-        $this->sendRedirect($this->getLocation(URL_DIR . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
+        $this->objDisplay->redirect($this->getLocation(URL_DIR . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
 
     }
@@ -255,5 +261,5 @@
                 $page_id = $arrPageData[0]['page_id'];
             }
-            $this->sendRedirect($this->getLocation("./main_edit.php",
+            $this->objDisplay->redirect($this->getLocation("./main_edit.php",
                                     array("page_id" => $page_id,
                                           "msg"     => "on")));
@@ -338,5 +344,5 @@
     function lfDeletePageData($page_id){
         $this->objLayout->lfDelPageData($_POST['page_id']);
-        $this->sendRedirect($this->getLocation("./main_edit.php"));
+        $this->objDisplay->redirect($this->getLocation("./main_edit.php"));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 19628)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 19661)
@@ -23,5 +23,5 @@
 
   // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(DATA_PATH . "module/Tar.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
@@ -34,5 +34,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_Template extends LC_Page {
+class LC_Page_Admin_Design_Template extends LC_Page_Admin {
 
     // }}}
@@ -79,102 +79,112 @@
      */
     function process() {
-    	// 認証可否の判定
-		$objSession = new SC_Session();
-		SC_Utils::sfIsSuccess($objSession);
-
-		// uniqidをテンプレートへ埋め込み
-		$this->uniqid = $objSession->getUniqId();
-
-		$objView = new SC_AdminView();
-
-		switch($this->lfGetMode()) {
-
-		// 登録ボタン押下時
-		case 'register':
-		    // 画面遷移の正当性チェック
-		    if (!SC_Utils::sfIsValidTransition($objSession)) {
-		        sfDispError('');
-		    }
-		    // パラメータ検証
-		    $objForm = $this->lfInitRegister();
-		    if ($objForm->checkError()) {
-		        SC_Utils_Ex::sfDispError('');
-		    }
-
-		    $template_code = $objForm->getValue('template_code');
-            $this->tpl_select = $template_code;
-
-		    if($template_code == "") {
-		    	$template_code = "default";
-		    }
-
-		    // DBへ使用するテンプレートを登録
-		    $this->lfRegisterTemplate($template_code);
-
-		    // XXX コンパイルファイルのクリア処理を行う
-		    $objView->_smarty->clear_compiled_tpl();
-
-		    // common.cssの内容を更新
-		    $this->lfChangeCommonCss($template_code);
-
-		    // ブロック位置を更新
-		    $this->lfChangeBloc($template_code);
-
-		    // 完了メッセージ
-		    $this->tpl_onload="alert('登録が完了しました。');";
-		    break;
-
-		// 削除ボタン押下時
-		case 'delete':
-		    // 画面遷移の正当性チェック
-		    if (!SC_Utils::sfIsValidTransition($objSession)) {
-		        SC_Utils::sfDispError('');
-		    }
-		    // パラメータ検証
-		    $objForm = $this->lfInitDelete();
-		    if ($objForm->checkError()) {
-		        SC_Utils::sfDispError('');
-		    }
-			
-		    //現在使用中のテンプレートとデフォルトのテンプレートは削除できないようにする
-		    $template_code = $objForm->getValue('template_code_temp');
-		    if ($template_code == TEMPLATE_NAME || $template_code == DEFAULT_TEMPLATE_NAME) {
-		    	$this->tpl_onload = "alert('選択中のテンプレートは削除出来ません');";
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        // 認証可否の判定
+		    $objSession = new SC_Session();
+		    SC_Utils::sfIsSuccess($objSession);
+
+		    // uniqidをテンプレートへ埋め込み
+		    $this->uniqid = $objSession->getUniqId();
+
+		    $objView = new SC_AdminView();
+
+		    switch($this->lfGetMode()) {
+
+		    // 登録ボタン押下時
+		    case 'register':
+		        // 画面遷移の正当性チェック
+		        if (!SC_Utils::sfIsValidTransition($objSession)) {
+		            sfDispError('');
+		        }
+		        // パラメータ検証
+		        $objForm = $this->lfInitRegister();
+		        if ($objForm->checkError()) {
+		            SC_Utils_Ex::sfDispError('');
+		        }
+
+		        $template_code = $objForm->getValue('template_code');
+                $this->tpl_select = $template_code;
+
+		        if($template_code == "") {
+		        	$template_code = "default";
+		        }
+
+		        // DBへ使用するテンプレートを登録
+		        $this->lfRegisterTemplate($template_code);
+
+		        // XXX コンパイルファイルのクリア処理を行う
+		        $objView->_smarty->clear_compiled_tpl();
+
+		        // common.cssの内容を更新
+		        $this->lfChangeCommonCss($template_code);
+		    	
+		        // テンプレートのコピー
+		    	$this->lfCopyTemplate($template_code);
+		        
+		        // ブロック位置を更新
+		        $this->lfChangeBloc($template_code);
+
+		        // 完了メッセージ
+		        $this->tpl_onload="alert('登録が完了しました。');";
+		        break;
+
+		    // 削除ボタン押下時
+		    case 'delete':
+		        // 画面遷移の正当性チェック
+		        if (!SC_Utils::sfIsValidTransition($objSession)) {
+		            SC_Utils::sfDispError('');
+		        }
+		        // パラメータ検証
+		        $objForm = $this->lfInitDelete();
+		        if ($objForm->checkError()) {
+		            SC_Utils::sfDispError('');
+		        }
+		    	
+		        //現在使用中のテンプレートとデフォルトのテンプレートは削除できないようにする
+		        $template_code = $objForm->getValue('template_code_temp');
+		        if ($template_code == TEMPLATE_NAME || $template_code == DEFAULT_TEMPLATE_NAME) {
+		        	$this->tpl_onload = "alert('選択中のテンプレートは削除出来ません');";
+		            break;
+		        }
+		        $this->lfDeleteTemplate($template_code);
+		        break;
+
+		    // downloadボタン押下時
+		    case 'download':
+		        // 画面遷移の正当性チェック
+		        if (!SC_Utils::sfIsValidTransition($objSession)) {
+		            SC_Utils::sfDispError('');
+		        }
+		    	// パラメータ検証
+		        $objForm = $this->lfInitDownload();
+		        $template_code = $objForm->getValue('template_code_temp');
+		        // ユーザデータの下のファイルも保存する。
+		        $from_dir = USER_TEMPLATE_PATH . $template_code . "/";
+		        $to_dir = SMARTY_TEMPLATES_DIR . $template_code . "/_packages/";
+		        SC_Utils::sfMakeDir($to_dir);
+		    	SC_Utils::sfCopyDir($from_dir, $to_dir);
+		        SC_Helper_FileManager::downloadArchiveFiles(SMARTY_TEMPLATES_DIR . $template_code);
+		        break;
+
+		    // プレビューボタン押下時
+		    case 'preview':
+		        break;
+
+		    default:
 		        break;
 		    }
-		    $this->lfDeleteTemplate($template_code);
-		    break;
-
-		// downloadボタン押下時
-		case 'download':
-		    // 画面遷移の正当性チェック
-		    if (!SC_Utils::sfIsValidTransition($objSession)) {
-		        SC_Utils::sfDispError('');
-		    }
-			// パラメータ検証
-		    $objForm = $this->lfInitDownload();
-		    $template_code = $objForm->getValue('template_code_temp');
-		    // ユーザデータの下のファイルも保存する。
-		    $from_dir = USER_TEMPLATE_PATH . $template_code . "/";
-		    $to_dir = SMARTY_TEMPLATES_DIR . $template_code . "/_packages/";
-		    SC_Utils::sfMakeDir($to_dir);
-			SC_Utils::sfCopyDir($from_dir, $to_dir);
-		    SC_Helper_FileManager::downloadArchiveFiles(SMARTY_TEMPLATES_DIR . $template_code);
-		    break;
-
-		// プレビューボタン押下時
-		case 'preview':
-		    break;
-
-		default:
-		    break;
-		}
-
-		// defaultパラメータのセット
-		$this->templates = $this->lfGetAllTemplates();
-		$this->now_template = TEMPLATE_NAME;
-		// 画面の表示
-		$objView->assignobj($this);
-		$objView->display(MAIN_FRAME);
+
+		    // defaultパラメータのセット
+		    $this->templates = $this->lfGetAllTemplates();
+		    $this->now_template = TEMPLATE_NAME;
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(DATA_PATH. "module/Tar.php");
 require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_FileManager_Ex.php");
@@ -34,5 +34,5 @@
  * @version $Id: LC_Page_Admin_Design_Up_Down.php 16582 2007-10-29 03:06:29Z nanasess $
  */
-class LC_Page_Admin_Design_Up_Down extends LC_Page {
+class LC_Page_Admin_Design_Up_Down extends LC_Page_Admin {
 
     // }}}
@@ -62,54 +62,59 @@
      */
     function process() {
-    	// ログインチェック
-		$objSession = new SC_Session();
-		SC_Utils::sfIsSuccess($objSession);
-		$this->now_template = $this->lfGetNowTemplate();
-		
-		// uniqidをテンプレートへ埋め込み
-		$this->uniqid = $objSession->getUniqId();
-		
-		switch($this->lfGetMode()) {
-		
-		// ダウンロードボタン押下時の処理
-		case 'download':
-		    break;
-		// アップロードボタン押下時の処理
-		case 'upload':
-		    // 画面遷移の正当性チェック
-		    if (!SC_Utils::sfIsValidTransition($objSession)) {
-		        SC_Utils::sfDispError('');
-		    }
-		    // フォームパラメータ初期化
-		    $objForm = $this->lfInitUpload();
-		    // エラーチェック
-		    if ($arrErr = $this->lfValidateUpload($objForm)) {
-		        $this->arrErr  = $arrErr;
-		        $this->arrForm = $objForm->getFormParamList();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        // ログインチェック
+		    $objSession = new SC_Session();
+		    SC_Utils::sfIsSuccess($objSession);
+		    $this->now_template = $this->lfGetNowTemplate();
+		    
+		    // uniqidをテンプレートへ埋め込み
+		    $this->uniqid = $objSession->getUniqId();
+		    
+		    switch($this->lfGetMode()) {
+		    
+		    // ダウンロードボタン押下時の処理
+		    case 'download':
+		        break;
+		    // アップロードボタン押下時の処理
+		    case 'upload':
+		        // 画面遷移の正当性チェック
+		        if (!SC_Utils::sfIsValidTransition($objSession)) {
+		            SC_Utils::sfDispError('');
+		        }
+		        // フォームパラメータ初期化
+		        $objForm = $this->lfInitUpload();
+		        // エラーチェック
+		        if ($arrErr = $this->lfValidateUpload($objForm)) {
+		            $this->arrErr  = $arrErr;
+		            $this->arrForm = $objForm->getFormParamList();
+		            break;
+		        }
+		        // アップロードファイル初期化
+		        $objUpFile = $this->lfInitUploadFile($objForm);
+		        // 一時ファイルへ保存
+		        $errMsg = $objUpFile->makeTempFile('template_file', false);
+		        // 書き込みエラーチェック
+		        if(isset($errMsg)) {
+		            $this->arrErr['template_file'] = $errMsg;
+		            $this->arrForm = $objForm->getFormParamList();
+		            break;
+		        }
+		        $this->lfAddTemplates($objForm, $objUpFile);
+		        $this->tpl_onload = "alert('テンプレートファイルをアップロードしました。');";
+		        break;
+		    
+		    // 初回表示
+		    default:
 		        break;
 		    }
-		    // アップロードファイル初期化
-		    $objUpFile = $this->lfInitUploadFile($objForm);
-		    // 一時ファイルへ保存
-		    $errMsg = $objUpFile->makeTempFile('template_file', false);
-		    // 書き込みエラーチェック
-		    if(isset($errMsg)) {
-		        $this->arrErr['template_file'] = $errMsg;
-		        $this->arrForm = $objForm->getFormParamList();
-		        break;
-		    }
-		    $this->lfAddTemplates($objForm, $objUpFile);
-		    $this->tpl_onload = "alert('テンプレートファイルをアップロードしました。');";
-		    break;
-		
-		// 初回表示
-		default:
-		    break;
-		}
-		
-		// 画面の表示
-		$objView = new SC_AdminView();
-		$objView->assignobj($this);
-		$objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 18978)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design_Bloc extends LC_Page {
+class LC_Page_Admin_Design_Bloc extends LC_Page_Admin {
 
     // }}}
@@ -59,5 +59,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $this->objLayout = new SC_Helper_PageLayout_Ex();
         $package_path = USER_TEMPLATE_PATH . "/" . TEMPLATE_NAME . "/";
@@ -151,5 +160,5 @@
 
                 $bloc_id = $arrBlocData[0]['bloc_id'];
-                $this->sendRedirect($this->getLocation("./bloc.php",
+                $this->objDisplay->redirect($this->getLocation("./bloc.php",
                                             array("bloc_id" => $bloc_id,
                                                   "msg" => "on")));
@@ -189,5 +198,5 @@
                 }
             }
-            $this->sendRedirect($this->getLocation("./bloc.php"));
+            $this->objDisplay->redirect($this->getLocation("./bloc.php"));
             exit;
         	break;
@@ -198,8 +207,4 @@
         	break;
         }        
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /** ターゲットID 未使用 */
@@ -36,5 +36,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Design extends LC_Page {
+class LC_Page_Admin_Design extends LC_Page_Admin {
 
     // }}}
@@ -61,6 +61,14 @@
      */
     function process() {
-
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objLayout = new SC_Helper_PageLayout_Ex();
@@ -115,5 +123,5 @@
         // 新規ブロック作成
         if ($_POST['mode'] == 'new_bloc') {
-            $this->sendRedirect($this->getLocation("./bloc.php"));
+            $this->objDisplay->redirect($this->getLocation("./bloc.php"));
             exit;
         }
@@ -121,5 +129,5 @@
         // 新規ページ作成
         if ($_POST['mode'] == 'new_page') {
-            $this->sendRedirect($this->getLocation("./main_edit.php"));
+            $this->objDisplay->redirect($this->getLocation("./main_edit.php"));
             exit;
         }
@@ -215,5 +223,5 @@
             if ($_POST['mode'] == 'preview') {
                 if ($page_id === "") {
-                    $this->sendRedirect($this->getLocation(DIR_INDEX_URL));
+                    $this->objDisplay->redirect($this->getLocation(DIR_INDEX_URL));
                     exit;
                 }
@@ -222,9 +230,9 @@
                 $_SESSION['preview'] = "ON";
 
-                $this->sendRedirect($this->getLocation(URL_DIR . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
+                $this->objDisplay->redirect($this->getLocation(URL_DIR . "preview/" . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"])));
                 exit;
 
             }else{
-                $this->sendRedirect($this->getLocation(DIR_INDEX_URL,
+                $this->objDisplay->redirect($this->getLocation(DIR_INDEX_URL,
                 array("page_id" => $page_id,
                                                   "msg" => "on")));
@@ -237,5 +245,5 @@
         if ($_POST['mode'] == 'delete' and  !$objLayout->lfCheckBaseData($page_id)) {
             $objLayout->lfDelPageData($page_id);
-            $this->sendRedirect($this->getLocation(DIR_INDEX_URL));
+            $this->objDisplay->redirect($this->getLocation(DIR_INDEX_URL));
             exit;
         }
@@ -281,10 +289,6 @@
         }
         $this->errCnt = $errCnt;
-
-        // 画面の表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-
-    }
+    }
+
     /**
      * デストラクタ.
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Mail extends LC_Page {
+class LC_Page_Admin_Order_Mail extends LC_Page_Admin {
 
     // }}}
@@ -61,6 +61,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
 
-        $objView = new SC_AdminView();
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         SC_Utils_Ex::sfIsSuccess($objSess);
@@ -100,5 +108,5 @@
                 $objMail->sfSendOrderMail($_POST['order_id'], $_POST['template_id'], $_POST['subject'], $_POST['header'], $_POST['footer']);
             }
-            $this->sendRedirect($this->getLocation(URL_SEARCH_ORDER));
+            $this->objDisplay->redirect($this->getLocation(URL_SEARCH_ORDER));
             exit;
             break;
@@ -120,9 +128,5 @@
                 $this->tpl_to = $objSendMail->tpl_to;
                 $this->tpl_mainpage = 'order/mail_confirm.tpl';
-
-                $objView->assignobj($this);
-                $objView->display(MAIN_FRAME);
-
-                exit;
+                return;
             }
             break;
@@ -149,6 +153,4 @@
 
         $this->arrForm = $objFormParam->getFormParamList();
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Status extends LC_Page {
+class LC_Page_Admin_Order_Status extends LC_Page_Admin {
 
     // }}}
@@ -61,5 +61,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -117,8 +126,6 @@
         //検索結果の表示
         $this->lfStatusDisp($status, $_POST['search_pageno']);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-    }
+    }
+
     /**
      * デストラクタ.
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 18875)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /* GMO決済モジュール連携用 */
@@ -53,5 +53,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Edit extends LC_Page {
+class LC_Page_Admin_Order_Edit extends LC_Page_Admin {
 
     // {{{ properties
@@ -107,5 +107,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -314,10 +323,9 @@
         }
 
-        $objView->assignobj($this);
         // 表示モード判定
         if(!$this->disp_mode) {
-            $objView->display(MAIN_FRAME);
+            $this->setTemplate(MAIN_FRAME);
         } else {
-            $objView->display('order/disp.tpl');
+            $this->setTemplate('order/disp.tpl');
         }
     }
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_PATH . "SC_Fpdf.php");
 
@@ -33,5 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Pdf extends LC_Page {
+class LC_Page_Admin_Order_Pdf extends LC_Page_Admin {
 
     // }}}
@@ -67,5 +67,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objDb = new SC_Helper_DB_Ex();
         $objSess = new SC_Session();
@@ -138,7 +147,4 @@
             break;
         }
-
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_MailView extends LC_Page {
+class LC_Page_Admin_Order_MailView extends LC_Page_Admin {
 
     // }}}
@@ -54,5 +54,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -68,7 +77,5 @@
             $this->tpl_body = $arrRet[0]['mail_body'];
         }
-
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
+        $this->setTemplate($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /* ペイジェント決済モジュール連携用 */
@@ -37,5 +37,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order extends LC_Page {
+class LC_Page_Admin_Order extends LC_Page_Admin {
 
     // }}}
@@ -75,5 +75,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objDb = new SC_Helper_DB_Ex();
         $objSess = new SC_Session();
@@ -278,5 +287,6 @@
 
                             // CSVを送信する。
-                            SC_Utils_Ex::sfCSVDownload($head.$data);
+                            list($fime_name, $data) = SC_Utils_Ex::sfGetCSVData($head.$data);
+                            $this->sendResponseCSV($fime_name, $data);
                             exit;
                             break;
@@ -342,7 +352,4 @@
         $arrRet = $objDb->sfGetPayment();
         $this->arrPayment = SC_Utils_Ex::sfArrKeyValue($arrRet, 'payment_id', 'payment_method');
-
-        $objView->assignobj($this);
-                $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 18875)
+++ /branches/version-2_5-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 19661)
@@ -24,5 +24,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(DATA_PATH . 'module/Services/JSON.php');
 
@@ -34,5 +34,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_ProductSelect extends LC_Page {
+class LC_Page_Admin_Order_ProductSelect extends LC_Page_Admin {
 
     // }}}
@@ -59,5 +59,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
         $objDb = new SC_Helper_DB_Ex();
@@ -169,8 +178,4 @@
         // カテゴリ取得
         $this->arrCatList = $objDb->sfGetCategoryList();
-
-        //---- ページ表示
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
